Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://nudgen.net/api/v1/campaigns/{id}/launch \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "sendNow": false, "scheduledAt": "2026-05-21T06:46:52.128Z" } '
const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: JSON.stringify({sendNow: false, scheduledAt: '2026-05-21T06:46:52.128Z'})};fetch('https://nudgen.net/api/v1/campaigns/{id}/launch', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requestsurl = "https://nudgen.net/api/v1/campaigns/{id}/launch"payload = { "sendNow": False, "scheduledAt": "2026-05-21T06:46:52.128Z"}headers = { "Authorization": "Bearer <token>", "Content-Type": "application/json"}response = requests.post(url, json=payload, headers=headers)print(response.text)
{ "campaign": { "id": "<string>", "name": "<string>", "subject": "<string>", "scheduledAt": "2023-11-07T05:31:56Z", "sentAt": "2023-11-07T05:31:56Z", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" }, "launched": true, "delayMs": 123 }
{ "error": "<string>"}
Launches a campaign now or schedules it for a future time.
Personal Access Token created from Settings -> API Keys.
Campaign scheduled
Show child attributes